Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.294
diff -u -r1.294 chan_iax2.c
--- channels/chan_iax2.c	19 May 2005 04:31:02 -0000	1.294
+++ channels/chan_iax2.c	24 May 2005 14:08:57 -0000
@@ -235,6 +235,7 @@
 #define IAX_RTNOUPDATE 		(1 << 18) 	/* Don't send a realtime update */
 #define IAX_RTAUTOCLEAR 	(1 << 19) 	/* erase me on expire */ 
 #define IAX_FORCEJITTERBUF	(1 << 20)	/* Force jitterbuffer, even when bridged to a channel that can take jitter */ 
+#define IAX_RTAUTOREG		(1 << 21)
 
 static int global_rtautoclear = 120;
 
@@ -2610,7 +2611,7 @@
 		ast_set_flag(peer, IAX_TEMPONLY);	
 	}
 
-	if (dynamic) {
+	if (!ast_test_flag(&globalflags, IAX_RTAUTOREG) && dynamic) {
 		time(&nowtime);
 		if ((nowtime - regseconds) > IAX_DEFAULT_REG_EXPIRE) {
 			memset(&peer->addr, 0, sizeof(peer->addr));
@@ -8474,6 +8475,8 @@
 			ast_set2_flag((&globalflags), ast_true(v->value), IAX_MESSAGEDETAIL);	
 		else if (!strcasecmp(v->name, "rtcachefriends"))
 			ast_set2_flag((&globalflags), ast_true(v->value), IAX_RTCACHEFRIENDS);	
+		else if (!strcasecmp(v->name, "rtautoreg"))
+			ast_set2_flag((&globalflags), ast_true(v->value), IAX_RTAUTOREG);	
 		else if (!strcasecmp(v->name, "rtnoupdate"))
 			ast_set2_flag((&globalflags), ast_true(v->value), IAX_RTNOUPDATE);	
 		else if (!strcasecmp(v->name, "rtautoclear")) {
